\usepackage[dvips]{graphicx} 
\usepackage{latexsym}
\usepackage{rotating}

\usepackage[utf8x]{inputenc}
\usepackage{ucs}
\usepackage[romanian]{babel}
\PrerenderUnicode{ăâțî«»ȚĂÂÎșȘ}

\usepackage{amsfonts}
\usepackage{amssymb} 
\usepackage{array} % Ofera optiuni suplimentare pentru alinierea coloanelor in tabele si matrice
\usepackage{amsmath} % Ofera facilitati pentru lucrul cu formule matematice
\usepackage{multicol} % Ofera facilitati pentru organizarea paginii in mai multe coloane
\usepackage{fix-cm}
\usepackage{color}
%\usepackage{makeidx}
\usepackage[unicode]{hyperref}
\hypersetup{colorlinks,filecolor=darkgreen,urlcolor=darkred,citecolor=darkblue}

% Try uncommenting the following line if fonts don't
% display correctly in the PDF file.
% \usepackage{pslatex} 

% To use palatino font, uncomment the following line.
% \usepackage{mathpazo}

% \usepackage{mathptmx}
% To use times roman font, uncomment the following line.

% For other fonts, see http://www.tug.org/fonts/

% https://en.wikibooks.org/wiki/LaTeX/Page_Layout
\oddsidemargin = 31pt
\textwidth = 410pt
\textheight = 9.4in

\headheight = 40pt
\headsep = 25pt

\marginparwidth = 25pt

\voffset = 0.5in
\topmargin = 30pt

\floatsep = .29in
\textfloatsep = \floatsep
\intextsep = \floatsep

\footskip = 15pt

% To have the references sorted in the order they are cited,
% (instead of alphabetically), use 'unsrt' instead of 'abbrv'.
%
\bibliographystyle{abbrv}

\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

% Almost everything is double spaced.
%
\newcommand{\spacing}{1.4}
\renewcommand{\baselinestretch}{\spacing}

% Footnotes are to be single spaced.
%
\newcommand{\munfootnote}[1]{%
	\renewcommand{\baselinestretch}{1.0}%
	\normalsize
	\footnote{#1}%
	\renewcommand{\baselinestretch}{\spacing}%
	\normalsize
}

% Lengthy quotes must also be single spaced.
% We provide a parameter for the citation label too.
%
\newenvironment{munquote}[1][]{%
	\renewcommand{\baselinestretch}{1.0}%
	\normalsize
	\def\muncite{#1}
	\vspace{1.5mm}
	\begin{quote}\sl``}{''\muncite
	\end{quote}
	\renewcommand{\baselinestretch}{\spacing}%
	\normalsize
}

% Command for creating the thesis title page
% For usage example, see thesis.tex.
%
\newcommand{\thesistitle}[5]{
\thispagestyle{empty}
\begin{center}

\begin{figure}[ht]
\begin{minipage}[b]{1in}
\includegraphics[width=0.7in]{figures/sigla_noua}
\end{minipage}
\begin{minipage}[b]{0.8\linewidth}
\textbf{\fontsize{15}{15}\selectfont Universitatea \textit{"TRANSILVANIA"} din Brașov}\\
\textbf{\fontsize{15}{15}\selectfont Facultatea de Matematică și Informatică\\
Specializarea Tehnologii moderne în ingineria sistemelor soft}
\end{minipage}
\end{figure}

\vspace{3cm}	

\renewcommand{\baselinestretch}{1.0}
\textbf{\fontsize{42}{42}\selectfont #1} \\
\renewcommand{\baselinestretch}{\spacing}

\vspace{3.8cm}

{\Large \fontsize{20}{20}\selectfont Autor: \textbf{\fontsize{23}{23}\selectfont #2}} \\ % autor

\vspace{1cm}

{\Large \fontsize{20}{20}\selectfont Coordonator științific: \textbf{\fontsize{23}{23}\selectfont #3}} \\ % coordonator

\vspace{5.3cm}

{\textbf{\fontsize{25}{25}\selectfont #4}} \\  % locatie, an

#5 \\

\vspace{\fill}

\end{center}
}

% The \munepsfig command is used to insert a new EPS figure 
% into our document.  Usage is:
%
%	\munepsfig[args]{filename}{caption}
%
% where:
%	- the optional 'args' argument is passed to the
%	  embedded \includegraphics command, this can be used
%	  to scale the figure or rotate it.
%	- 'filename' is the name of the EPS file in the 'figures'
%	  directory that is to be inserted (note that 'filename'
%         should not include the '.eps' extension).
%	- 'filename' also serves as the label for the figure.
%	  with the text 'fig:' prepended.
%
% Sample Usage:
% 	\munepsfig[scale=0.5,angle=90]{barchart}{Population over time}

% inserts the EPS file 'figures/barchart.eps' reduced in size by 50%
% rotated 90 degrees and with the caption "Popuation over Time."
% We can refer to that figure as Figure~\ref{fig:barchart} in the text.
%
\newcommand{\munepsfig}[3][scale=1.0]{%
	\begin{figure}[!htbp]
		\centering
		\vspace{2mm}
		\includegraphics[#1]{figures/#2.eps}
		\caption{#3}
		\label{fig:#2}
	\end{figure}
}

% \munlepsfig command inserts a figure in landscape mode.  The
% entire page is rotated to accommodate the figure.  The arguments
% are the same as for \munepsfig, above
%
\newcommand{\munlepsfig}[3][scale=1.0]{%
	\begin{sidewaysfigure}[!htbp]
		\centering
		\vspace{2mm}
		\includegraphics[#1]{figures/#2.eps}
		\caption{#3}
		\label{fig:#2}
	\end{sidewaysfigure}
}

% The 'muntxtfig' environment is used to insert 'textual' figures
% into our document, such as brief source code snippets.  Usage is:
%
%	\begin{muntxtfig}[spacing]{label}{caption}{width}
%	  text for 'figure'
%	\end{muntxtfig}
%
% where:
%	- 'spacing' is a number representing the baselinestretch
%	  (line-spacing) to use for the text figure.  Default is
%          single-spacing.
%	- 'label' is the label to be used for referencing.
%	   The figure can be referenced as Figure~\ref{fig:label}.
%	- 'caption' is the caption to display below the figure.
%	- 'width' is the width of the minipage in which the text figure
%	  is formatted.
%
% Sample usage:
% \begin{muntxtfig}[1.0]{code}{Hello World}{0.5\textwidth}
%   Some text
% \end{muntxtfig}
%
\newenvironment{muntxtfig}[4][\spacing]{%
	\begin{figure}[!htbp]
		\centering
		\def\muncaption{#3}%
		\def\munlabel{#2}%
		\renewcommand{\baselinestretch}{#1}%
		\normalsize%
		\begin{minipage}{#4}
		\hrule \hrule
		\bigskip
}{%
		\hrule \hrule
		\end{minipage}
		\renewcommand{\baselinestretch}{\spacing}%
		\normalsize%
		\caption{\muncaption}
		\label{fig:\munlabel}
	\end{figure}
}

% The 'muntab' environment is used to insert a new table into our document.
% Usage is:
%
%	\begin{muntab}{table_format}{label}{caption}
%        table contents
%       \end{muntab}
%
% where:
%	- 'label' is the label used to reference the Table.
%	   We can refer to the table as Table~\ref{tab:label} in
%          the text.
%	- 'caption' is the caption placed above the Table.
%
%
\newenvironment{muntab}[3]{%
	\begin{table}[!htbp]
		\centering
		\caption{#3}
		\label{tab:#2}
		\vspace{2mm}
		\begin{tabular}{#1}
}{%
		\end{tabular}
	\end{table}
}

% The 'munltab' environment is like muntab, but displays the table
% in landscape mode on its own page.  See muntab environment for usage.
%
\newenvironment{munltab}[3]{%
	\begin{sidewaystable}
		\centering
		\caption{#3}
		\label{tab:#2}
		\vspace{2mm}
		\begin{tabular}{#1}
}{%
		\end{tabular}
	\end{sidewaystable}
}

% The \muneqn environment is used to add an equation to the thesis.
% Usage is:
%
%	\begin{muneqn}{label}
%         equation body
%	\end{muneqn}
%
% where:
%	- 'label' is the label used to reference the Equation.
%	   We can refer to the equation as Table~\ref{eqn:label} in
%          the text.
%
\newenvironment{muneqn}[1]{%
	\begin{equation}
		\label{eqn:#1}
}{
	\end{equation}
}

%
% For theorems and corollaries.
%
\newtheorem{cor}{Corollary}
\newtheorem{thm}{Theorem}
